GET MDOList/{listname}/selectable
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
GET /api/v1/MDOList/{listname}/selectable
Return the selectable list items
| Path Part | Type | Description |
|---|---|---|
| listname | string | "category", "business" etc Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| additional | string | List-specific additional info. |
| flat | bool | true/false |
GET /api/v1/MDOList/{listname}/selectable?additional=qui
GET /api/v1/MDOList/{listname}/selectable?flat=True
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| Id | int32 | The Id of the ListItem |
| Name | string | The name of the ListItem |
| ToolTip | string | The tooltip of the ListItem |
| Deleted | bool | The deleted status of the ListItem |
| Rank | int32 | The rank of the ListItem |
| Type | string | The type of the ListItem. Custom field. |
| ColorBlock | int32 | The color indicator of the ListItem color block |
| IconHint | string | The Icon hint of the ListItem. Custom field. |
| Selected | bool | True if the ListItem is selected |
| LastChanged | date-time | Time of last change. |
| ChildItems | array | The child items of the SelectableMDOListItem |
| ExtraInfo | string | Extra information added to the ListItem. Could be information such as sort order etc or other meta data. Custom field. |
| StyleHint | string | Style hint indicating, information such as background color etc. Custom field. |
| Hidden | bool | True if the ListItem is hidden |
| FullName | string | The name of the ListItem in its context |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
GET /api/v1/MDOList/{listname}/selectable
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"Id": 664,
"Name": "MDO List Item",
"ToolTip": "Quas molestiae odio voluptas rem ut quas.",
"Deleted": false,
"Rank": 134,
"Type": "amet",
"ColorBlock": 650,
"IconHint": "cum",
"Selected": false,
"LastChanged": "2018-09-23T14:34:03.190862+02:00",
"ChildItems": [
{
"Id": 713,
"Name": "MDO List Item",
"ToolTip": "Autem quia.",
"Deleted": false,
"Rank": 420,
"Type": "saepe",
"ColorBlock": 34,
"IconHint": "eos",
"Selected": false,
"LastChanged": "2014-10-26T14:34:03.190862+01:00",
"ChildItems": [
{},
{}
],
"ExtraInfo": "eos",
"StyleHint": "veritatis",
"Hidden": false,
"FullName": "Shakira Olson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 45
}
}
}
],
"ExtraInfo": "odio",
"StyleHint": "quidem",
"Hidden": false,
"FullName": "Novella Mante",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 471
}
}
}
]